function [Lhat,Vhat]=get_initial_L_5(Y,X,omega,Smat,N1,Qparam)
Z=X';
XX=vec(Y');
iomega=invpd(omega);
Zomega=kron(Z,iomega);
ZZomega=kron(Z*Z',iomega);
z=XX-(kron(Z',eye(N1)))*Qparam;
Lhat=invpd(Smat'*(ZZomega)*Smat)*(Smat'*(Zomega)*z);
Vhat=invpd(Smat'*(ZZomega)*Smat);